Alerta de Segurança Debian

DSA-250-1 w3mmee-ssl -- quota HTML faltando

Data do Alerta:
12 Fev 2003
Pacotes Afetados:
w3mmee-ssl
Vulnerável:
Sim
Referência à base de dados de segurança:
No dicionário CVE do Mitre: CVE-2002-1335, CVE-2002-1348.
Informações adicionais:

Hironori Sakamoto, um dos desenvolvedores do w3m, encontrou duas vulnerabilidades relacionadas a segurança no programa w3w e associados. O navegador w3m não escapa adequadamente tags HTML no conteúdo de frames e atributos img alt. Um frame HTML malicioso ou atributo img alt pode enganar um usuário para enviar seus cookies locais que são usados para configuração. A informação não é enviada automaticamente.

Na atual distribuição estável (woody), este problema foi corrigido na versão 0.3.p23.3-1.5. Por favor, note que a atualização também contém um patch importante para fazer com o que programa funcione na plataforma powerpc novamente.

A antiga distribuição estável (potato), não é afetada por estes problemas.

Na distribuição instável (sid), este problema foi corrigido na versão 0.3.p24.17-3 e superior.

Nós recomendamos que você atualize seus pacotes w3mmee-ssl.

Corrigido em:

Debian GNU/Linux 3.0 (woody)

Fonte:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5.dsc
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5.diff.gz
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/w/w3mmee-ssl/w3mmee-ssl_0.3.p23.3-1.5_sparc.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.